package com.dlc.laboratory.ui.things

import android.os.Bundle
import android.view.View
import com.dlc.eboard.ui.things.ThingsActivity
import com.rc.core.ui.ActivityCollector

/**
 * info
 *
 * @author ReiChin_
 */
class ExThingsActivity : ThingsActivity() {

    private lateinit var mNickName: String

    override fun initViews(savedInstanceState: Bundle?) {
        super.initViews(savedInstanceState)

        viewBinding.titleBar.setSigned(false)
        viewBinding.titleBar.setShowNotice(false)
        viewBinding.navView.setShowHome(true)
        viewBinding.countDown.visibility = View.VISIBLE
    }

    override fun enabledLogoutCountDown() = false

    override fun refreshBackCountDownView(countDown: Int) {
        super.refreshBackCountDownView(countDown)
        viewBinding.countDown.text = "%s-登录失效：%d秒".format(mNickName, countDown)
    }

    override fun onHomeViewClicked() {
        ActivityCollector.removeActivity(2)
    }

}